$(document).ready(function(){

	var validator = $("#formulary").validate({
        rules:{
            'dias[]':{
                required:true
            },           
            'hora_ini':{
                required:true
            },           
            'hora_fin':{
                required:true
            },          
            'nota':{
                required:true
            }           
        },
        messages:{
            'dias[]':{
                required:"Este campo es requerido."
            },           
            'hora_ini':{
                required:"Este campo es requerido."
            },           
            'hora_fin':{
                required:"Este campo es requerido."
            },          
            'nota':{
                required:"Este campo es requerido."
            } 
        }
    });


    $("#guardar").on("click",function(){
    	var validar = validator.form();
    	if(validar == true){
    		data = $("#formulary").serialize();
    		$('.content').loader('show');
            $.ajax({
                type: "POST",
                dataType: "json",
                url: base_url+"/extranet/configuracion/semana",
                data:data,
                success:function(data){
                    // console.log(data);
                    $('.content').loader('hide');
                    if(data.status == true){
                            // var objeto = JSON.parse(data['message']);
                        // table.draw();
                        $.confirm({
                            title: 'Satisfactorio',
                            content: data['message'],
                            type: 'green',
                            theme: 'modern',
                            // closeIcon: true,
                            icon: 'fas fa-check',
                            buttons: {
                                confirm: {
                                    text:"Aceptar",
                                    btnClass: 'btn-green',
                                    action: function(){
                                        location.reload();
                                    }
                                }
                            }
                        });

                    }else{
                        $.confirm({
                            title: 'Error!',
                            content: data['message'],
                            type: 'orange',
                            theme: 'modern',
                            closeIcon: true,
                            icon: 'fas fa-exclamation-triangle',
                            buttons: {
                                confirm: {
                                    text:"Intentar de nuevo",
                                    btnClass: 'btn-green',
                                    action: function(){
                                        table.draw();
                                    }
                                },
                                cancel:{
                                    text:"Salir",
                                    action:function(){
                                        
                                    }
                                }
                            }
                        });
                    }
                    // table.draw();
                    // $('#modal-datatable').modal('hide');
                },
                error:function(result){

                }
            });
    	}
    })

    // $("#tipo_f").on("change",function(){
    // 	table.draw();
    // })
});